# Define libsuffix, minimum libyui-devel version
# and so-version of libyui.
%global libsuffix yui
%global libname lib%{libsuffix}
%global devel_min_ver 3.0.4

# No proper release-tags, yet.  :(
%global commit a6a160e6e2387e63735228dee818e4b448e2a933
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20160313
%global git_ver -git%{shortcommit}.%{gitdate}
%global git_rel .git%{shortcommit}.%{gitdate}

# Setup _pkgdocdir if not defined already.
%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}-%{version}}

# CMake-builds go out-of-tree.
%global _cmake_build_subdir build-%{?_arch}%{?dist}


Name:			%{libname}-mga
Version:		1.0.8
Release:		0.13%{?git_rel}%{?dist}
Summary:		Libyui extensions for Mageia tools

License:		LGPLv2 or LGPLv3
URL:			https://github.com/xquiet/%{name}
Source0:		%{url}/archive/%{commit}.tar.gz#/%{name}-%{version}%{?git_ver}.tar.gz

BuildRequires:		boost-devel
BuildRequires:		cmake				>= 2.8
BuildRequires:		%{libname}-devel		>= %{devel_min_ver}

%description
This package contains the Libyui extensions for Mageia tools.


%package devel
Summary:		Files needed for developing with %{name}

Requires:		%{libname}-devel%{?_isa}	>= %{devel_min_ver}
Requires:		%{name}%{?_isa}			== %{version}-%{release}

%description devel
%{libname} can be used independently of YaST for generic (C++)
applications and has very few dependencies.

You do NOT need this package for developing with %{libname}.
Using %{libname}-devel is sufficient for such purpose. This
package is only needed when you want to develop an extension
for %{name}.


%package doc
Summary:		Documentation files for %{name}
BuildArch:		noarch

BuildRequires:		doxygen
BuildRequires:		graphviz
BuildRequires:		hardlink

%description doc
This package includes the developer's documentation as HTML
for %{name}.


%prep
%autosetup -n %{name}-%{?commit}
./bootstrap.sh


%build
%{__mkdir} -p %{_cmake_build_subdir}
pushd %{_cmake_build_subdir}
%cmake							\
	-DYPREFIX=%{_prefix}				\
	-DLIB_DIR=%{_libdir}				\
	-DCMAKE_BUILD_TYPE=RELEASE			\
	-DRESPECT_FLAGS=ON				\
	-DSKIP_LATEX=ON					\
	..

%make_build
%make_build docs
popd


%install
pushd %{_cmake_build_subdir}
%{__mkdir} -p	%{buildroot}%{_libdir}/%{libsuffix}	\
		%{buildroot}%{_datadir}/%{name}/theme

%make_install

# Delete obsolete files.
%{__rm} -rf	%{buildroot}%{_defaultdocdir}		\
		doc/html/*.m*

# Hard-link documentation.
%{_sbindir}/hardlink -cv doc/html

# Install documentation.
%{__mkdir} -p	%{buildroot}%{?_pkgdocdir}
%{__cp} -a	../ChangeLog ../examples doc/html	\
		%{buildroot}%{?_pkgdocdir}
popd

%{_bindir}/find %{buildroot} -name 'CMakeLists.txt' -print -delete


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc %dir %{?_pkgdocdir}
%license COPYING*
%{_libdir}/%{name}.so.%{_libyui_major_so_ver}*

%files devel
%doc %{?_pkgdocdir}/ChangeLog
%doc %{?_pkgdocdir}/examples
%{_includedir}/%{libsuffix}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}

%files doc
# Pickup license-files from main-pkg's license-dir
# If there's no license-dir they are picked up by %%doc previously
%{?_licensedir:%license %{_datadir}/licenses/%{name}*}
%doc %{?_pkgdocdir}


%changelog
* Thu Aug 03 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.13.gita6a160e.20160313
- Dependency on cmake-filesystem is autogenerated now
- Skip building of LaTeX-docs

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-0.12.gita6a160e.20160313
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.11.gita6a160e.20160313
- Require cmake-filesystem

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-0.10.gita6a160e.20160313
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jul 18 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.9.gita6a160e.20160313
- Rebuilt for Boost 1.64

* Sat Apr 29 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.8.gita6a160e.20160313
- Rebuilt for bootstrapping new arch: s390x

* Thu Apr 13 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.7.gita6a160e.20160313
- Rebuilt for libyui.so.8

* Mon Apr 10 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.6.gita6a160e.20160313
- Use rich-dependencies instead of virtual provides
- Get major so-ver from macro

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.8-0.5.gita6a160e.20160313
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 02 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.4.gita6a160e.20160313
- Rebuilt for Boost 1.63

* Thu Feb 02 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.3.gita6a160e.20160313
- Rebuilt with dependency on MGA-UI

* Thu Feb 02 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.2.gita6a160e.20160313
- Initial import (rhbz#1418661)

* Thu Feb 02 2017 Björn Esser <besser82@fedoraproject.org> - 1.0.8-0.1.gita6a160e.20160313
- Initial rpm-release (rhbz#1418661)
